Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

ocStore 3.0.3.7 - Модифицированный OpenCart


 Share

Recommended Posts

44 минуты назад, AlexL78 сказал:

Установил снова с нуля, только теперь на тестовый домен, все равно та же ошибка. Чего там не хватает в 206 строке понять не могу, я не разработчик. Если есть мысли, поделитесь пожалуйста.

Нужно перенеси выделенный участок кода:

image.png.5614c85a8f92518ddac5600d20e00b79.png

  • +1 2
Link to comment
Share on other sites

7 минут назад, zWerewolfix сказал:

пишет PH7.3+ Required, хостпро-  PHP7.1.33


С версии OpenCart 3.0.3.7 минимальная версия ПХП которая нужна для работы - это 7.3 о чем Вам и сообщает ошибка. Или поднимайте Вашу версию ПХП или используйте 3.0.3.2 . Можно конечно руками поправить файлы, чтобы устанавливалось на 7.1 , но насколько корректно он будет работать - не знаю. Вероятно не просто так требуют 7.3 +

Link to comment
Share on other sites


1 час назад, Starychenko сказал:


С версии OpenCart 3.0.3.7 минимальная версия ПХП которая нужна для работы - это 7.3 о чем Вам и сообщает ошибка. Или поднимайте Вашу версию ПХП или используйте 3.0.3.2 . Можно конечно руками поправить файлы, чтобы устанавливалось на 7.1 , но насколько корректно он будет работать - не знаю. Вероятно не просто так требуют 7.3 +

да, минимальная версия пхп 7.3

Link to comment
Share on other sites


7 часов назад, zWerewolfix сказал:

к примеру АОП не поддерживает пока версию пхп 7.3

У меня работает. В архиве есть файлы под 7.3

Link to comment
Share on other sites


2 часа назад, Webjokerst сказал:

У меня работает. В архиве есть файлы под 7.3

В архиве с модулем нет версии пхп7.3 только что перезакачал архив думал может добавили, но нет...

 

2.JPG.180be57a8961b0ec397e44711df1f9e9.JPG1.thumb.JPG.474eae26492e62b78de610f2a38f5e21.JPG

Edited by zWerewolfix
Link to comment
Share on other sites


4 минуты назад, zWerewolfix сказал:

В архиве с модулем нет версии пхп7.3 только что перезакачал архив думал может добавили, но нет...

7.2 работает на 7.3 вроде как, мне автор ставил. На 7.3 полет нормальный, уточни у автора по этому вопросу лучше. 

Link to comment
Share on other sites


13 минут назад, Webjokerst сказал:

7.2 работает на 7.3 вроде как, мне автор ставил. На 7.3 полет нормальный, уточни у автора по этому вопросу лучше. 

таки да 7.2 работает на 7.3  image.thumb.png.01c016da80d729523a876350832b8392.png

Link to comment
Share on other sites


18 часов назад, Kostya150 сказал:

Подскажите с ocStore 3.0.2.0 как-то можно обновится на ocStore 3.0.3.7 ?

нет, в этому нету необходимости.

Link to comment
Share on other sites


Коллеги, у меня вот такой вопрос.
Opencart из коробки когда-нибудь начнет использовать кодировку UTF8bm4?
@dinoxМожет разработчики OcStore сами допилят?

 

Буду благодарен за инструкцию по переходу на UTF8bm4.
Я сейчас делаю избирательно базы и таблицы. Не знаю на сколько корректно сразу махануть всю базу с таблицами. Кто-то экспериментировал?

Edited by AlektroNik
Link to comment
Share on other sites


@dinoxДобавьте, пожалуйста, старую переименованную функцию deleteApiSessionBySessonId для совместимости со старыми модулями.

Иначе могут появляться ошибки типо такой:
Notice: Undefined property: Proxy::deleteApiSessionBySessonId in storage/modification/system/engine/action.php on line 79

 

https://github.com/AlektroNik/ocStore/commit/834fd5a608de7a9279a259c61126c30700660f16

 

На всякий случай файлик модификатора прикрепляю.

api_deleteApiSessionBySessonId_fix_v1.0.ocmod.zip

Link to comment
Share on other sites


В попытках понять, что не так и почему я не могу установить тему Revolution решил установить ocStore 3.0.3.7 (до этого была с ocStore 2.3.0.2.4, но с ней тоже приходилось возится до настраивать ибо с коробкой были проблемы в частности с файлами кодировок и т.д.) но не тут то было в обще это тоже какая-то версия что с коробки уже кривые стили.

 

Возможно это баг новой версии? 

 

Screenshot_1.png

Link to comment
Share on other sites


2 минуты назад, CONTRAST230 сказал:

Возможно это баг новой версии? 

 

Это кэш. Нужно нажать Ctrl+F5

  • +1 1
Link to comment
Share on other sites

В 13.07.2021 в 13:14, marketwell сказал:

нет, в этому нету необходимости

перехал с 21 на 3.0.2.0

замечаю жесткие глюки

Link to comment
Share on other sites


1 час назад, chukcha сказал:

озвучьте

да так, в целом. то там, то здесь, по  мелочи. Замечю что то глобальное сразу напишу, 

Кстате начал бы с того что фильтр на странице заказов крайне неудобен с правой стороны, думаю более рационально было бы оставить "фильтр шапкой" так рационально использовалось бы место, которого кране не хватает на простыню горизонтальную при этом.

Link to comment
Share on other sites


10 минут назад, alex1989 сказал:

да так, в целом. то там, то здесь, по  мелочи. Замечю что то глобальное сразу напишу, 

Кстате начал бы с того что фильтр на странице заказов крайне неудобен с правой стороны, думаю более рационально было бы оставить "фильтр шапкой" так рационально использовалось бы место, которого кране не хватает на простыню горизонтальную при этом.

Нормальные **скрыто модератором** люди, свои замечания оформляют в виде пул реквестов в гитхаб.

 

https://github.com/ocStore/ocStore/tree/v3.0.3.7

Link to comment
Share on other sites


Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

On our site, cookies are used and personal data is processed to improve the user interface. To find out what and what personal data we are processing, please go to the link. If you click "I agree," it means that you understand and accept all the conditions specified in this Privacy Notice.